### Method

# Gimp Image undo_disable

#### Declaration [src]

    gboolean
    gimp_image_undo_disable (
      GimpImage* image
    )

#### Description [src]

Disable the image’s undo stack.

This procedure disables the image’s undo stack, allowing subsequent operations to ignore their undo steps. This is generally called in conjunction with `gimp_image_undo_enable()` to temporarily disable an image undo stack. This is advantageous because saving undo steps can be time and memory intensive.

#### Return value

Returns: | `gboolean`
| TRUE if the image undo has been disabled.